Bug 1196490 - (CVE-2022-23308) VUL-0: CVE-2022-23308: libxml2,rubygem-nokogiri: Use-after-free of ID and IDREF attributes
(CVE-2022-23308)
VUL-0: CVE-2022-23308: libxml2,rubygem-nokogiri: Use-after-free of ID and IDR...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P2 - High : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/324493/
CVSSv3.1:SUSE:CVE-2022-23308:7.0:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-02-25 10:36 UTC by Carlos López
Modified: 2022-07-26 16:16 UTC (History)
7 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos López 2022-02-25 10:36:18 UTC
rh#2056913

Use-after-free of ID and IDREF attributes vulnerability is found in libxml2.
https://bugs.gentoo.org/833809

References:
https://bugzilla.redhat.com/show_bug.cgi?id=2056913
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-23308
Comment 1 Carlos López 2022-02-25 10:37:18 UTC
Affected:
 - SUSE:SLE-11-SP1:Update/libxml2
 - SUSE:SLE-12-SP2:Update/libxml2
 - SUSE:SLE-15:Update/libxml2
 - SUSE:SLE-15-SP4:Update/libxml2
 - openSUSE:Factory/libxml2

Also, rubygem-nokogiri embeds in the following codestreams a vulnerable version of libxml2:
 - SUSE:SLE-12:Update
 - SUSE:SLE-15:Update
 - SUSE:SLE-15-SP4:Update
 - openSUSE:Factory

Bug report:
https://gitlab.gnome.org/GNOME/libxml2/-/issues/327

Patch:
https://gitlab.gnome.org/GNOME/libxml2/-/commit/652dd12a858989b14eed4e84e453059cd3ba340e
Comment 2 Stephan Kulow 2022-02-25 10:44:49 UTC
rubygem-nokogiri is using system libxml, no reason to patch or even recompile
Comment 3 Carlos López 2022-02-25 10:46:32 UTC
(In reply to Stephan Kulow from comment #2)
> rubygem-nokogiri is using system libxml, no reason to patch or even recompile

Tracking as not affected in that case, thanks for pointing it out.
Comment 4 Gianluca Gabrielli 2022-02-25 12:32:53 UTC
the following packages are also affected:
 - SUSE:SLE-11-SP1:Update/libxml2-python    <- Pedro
 - SUSE:SLE-15:Update/python-libxml2-python <- David
Comment 7 Swamp Workflow Management 2022-03-04 20:16:11 UTC
SUSE-SU-2022:14904-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1196490
CVE References: CVE-2022-23308
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    libxml2-2.7.6-0.77.43.1, libxml2-python-2.7.6-0.77.43.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    libxml2-2.7.6-0.77.43.1, libxml2-python-2.7.6-0.77.43.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    libxml2-2.7.6-0.77.43.1, libxml2-python-2.7.6-0.77.43.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    libxml2-2.7.6-0.77.43.1, libxml2-python-2.7.6-0.77.43.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-03-10 20:22:41 UTC
openSUSE-SU-2022:0802-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1196490
CVE References: CVE-2022-23308
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    python-libxml2-python-2.9.7-3.40.1
openSUSE Leap 15.3 (src):    python-libxml2-python-2.9.7-3.40.1
Comment 9 Swamp Workflow Management 2022-03-10 20:26:35 UTC
SUSE-SU-2022:0802-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1196490
CVE References: CVE-2022-23308
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Manager Retail Branch Server 4.1 (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Manager Proxy 4.1 (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise Server for SAP 15 (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise Server 15-LTSS (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise Module for Python2 15-SP3 (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Enterprise Storage 7 (src):    python-libxml2-python-2.9.7-3.40.1
SUSE Enterprise Storage 6 (src):    python-libxml2-python-2.9.7-3.40.1
SUSE CaaS Platform 4.0 (src):    python-libxml2-python-2.9.7-3.40.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Xuanke Han 2022-04-15 05:13:04 UTC
Hi Team,

I found that this is affected on SLES12-SP5, do we have plan to fix on this release? Customer want to know when it will be released?

Thanks,
Xuanke Han
Comment 12 Gianluca Gabrielli 2022-04-15 06:23:45 UTC
Hi David we are still missing submissions for:
 - SUSE:SLE-15-SP4:GA/libxml2
 - SUSE:SLE-15:Update/libxml2
 - SUSE:SLE-12-SP2:Update/libxml2

Please submit them ASAP.

@Xuanke, as soon as we release the update for SUSE:SLE-12-SP2:Update/libxml2, then customers on SLE12-SP5 will get it as well.
Comment 14 Swamp Workflow Management 2022-04-19 22:23:30 UTC
SUSE-SU-2022:0802-2: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1196490
CVE References: CVE-2022-23308
JIRA References: 
Sources used:
SUSE Linux Enterprise Micro 5.2 (src):    python-libxml2-python-2.9.7-3.40.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2022-04-22 19:24:49 UTC
SUSE-SU-2022:1308-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1196490
CVE References: CVE-2022-23308
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    libxml2-2.9.4-46.49.1, python-libxml2-2.9.4-46.49.1
SUSE OpenStack Cloud Crowbar 8 (src):    libxml2-2.9.4-46.49.1, python-libxml2-2.9.4-46.49.1
SUSE OpenStack Cloud 9 (src):    libxml2-2.9.4-46.49.1, python-libxml2-2.9.4-46.49.1
SUSE OpenStack Cloud 8 (src):    libxml2-2.9.4-46.49.1, python-libxml2-2.9.4-46.49.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libxml2-2.9.4-46.49.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    libxml2-2.9.4-46.49.1, python-libxml2-2.9.4-46.49.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    libxml2-2.9.4-46.49.1, python-libxml2-2.9.4-46.49.1
SUSE Linux Enterprise Server 12-SP5 (src):    libxml2-2.9.4-46.49.1, python-libxml2-2.9.4-46.49.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    libxml2-2.9.4-46.49.1, python-libxml2-2.9.4-46.49.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    libxml2-2.9.4-46.49.1, python-libxml2-2.9.4-46.49.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    libxml2-2.9.4-46.49.1, python-libxml2-2.9.4-46.49.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    libxml2-2.9.4-46.49.1, python-libxml2-2.9.4-46.49.1
HPE Helion Openstack 8 (src):    libxml2-2.9.4-46.49.1, python-libxml2-2.9.4-46.49.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 24 Swamp Workflow Management 2022-05-19 19:17:59 UTC
SUSE-SU-2022:1750-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1196490,1199132
CVE References: CVE-2022-23308,CVE-2022-29824
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    python-libxml2-python-2.9.7-150000.3.46.1
openSUSE Leap 15.3 (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Manager Server 4.1 (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Manager Retail Branch Server 4.1 (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Manager Proxy 4.1 (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise Server for SAP 15 (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise Server 15-LTSS (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise Module for Python2 15-SP3 (src):    python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise Micro 5.2 (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise Micro 5.1 (src):    libxml2-2.9.7-150000.3.46.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Enterprise Storage 7 (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE Enterprise Storage 6 (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1
SUSE CaaS Platform 4.0 (src):    libxml2-2.9.7-150000.3.46.1, python-libxml2-python-2.9.7-150000.3.46.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 25 Carlos López 2022-06-10 09:04:42 UTC
Done, closing.
Comment 26 Swamp Workflow Management 2022-07-26 16:16:27 UTC
SUSE-SU-2022:2552-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1196490,1199132
CVE References: CVE-2022-23308,CVE-2022-29824
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    libxml2-2.9.14-150400.5.7.1, libxml2-python-2.9.14-150400.5.7.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    libxml2-2.9.14-150400.5.7.1, libxml2-python-2.9.14-150400.5.7.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.